Bug 785462

Summary: Review Request: sinfo - Show an overview of the available computers an their current load
Product: [Fedora] Fedora Reporter: Kiara Navarro <kiarakovalevsky>
Component: Package ReviewAssignee: Eduardo Echeverria <echevemaster>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: echevemaster, guillermo.gomez, notting, package-review, sophiekovalevsky, volker27
Target Milestone: ---Flags: echevemaster: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: sinfo-0.0.47-3.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-06 21:27:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kiara Navarro 2012-01-28 21:06:40 EST
This is my first package, and i'm looking for a sponsor.

Spec URL: http://sophiekovalevsky.fedorapeople.org/sinfo.spec
SRPM URL: http://sophiekovalevsky.fedorapeople.org/sinfo-0.0.44-2.fc16.src.rpm
Description: Monitoring tool that allow networked computers to broadcast
status information about each computer on your local network.

Additional:
[kovalevsky@2B2020 SPECS]$ rpmlint -v sinfo.spec
sinfo.spec: I: checking-url http://www.ant.uni-bremen.de/whomes/rinas/sinfo/download/sinfo-0.0.44.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[kovalevsky@2B2020 SRPMS]$ rpmlint -v sinfo-0.0.44-2.fc16.src.rpm 
sinfo.src: I: checking
sinfo.src: I: checking-url http://www.ant.uni-bremen.de/whomes/rinas/sinfo (timeout 10 seconds)
sinfo.src: I: checking-url http://www.ant.uni-bremen.de/whomes/rinas/sinfo/download/sinfo-0.0.44.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Kiara Navarro 2012-01-28 21:31:36 EST
Additional: 

[kovalevsky@2B2020 x86_64]$ rpmlint -v sinfo-0.0.44-2.fc16.x86_64.rpm 
sinfo.x86_64: I: checking
sinfo.x86_64: I: checking-url http://www.ant.uni-bremen.de/whomes/rinas/sinfo (timeout 10 seconds)
sinfo.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-0.0.44/README
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Guillermo Gómez 2012-02-02 10:12:37 EST
I'll take care of this one with Toshio watching over my shoulder for sponsorshipping (mentoring this new packager).
Comment 3 Guillermo Gómez 2012-02-26 06:02:30 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[!]: MUST Package does not contain any libtool archives (.la)
     Note: sinfo-devel-0.0.44-2.fc16.x86_64.rpm : sinfo-
     devel-0.0.44-2.fc16.x86_64.rpm sinfo-devel-0.0.44-2.fc16.x86_64.rpm :
     sinfo-0.0.44-2.fc16.x86_64.rpm sinfo-devel-0.0.44-2.fc16.x86_64.rpm :
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm :
     sinfo-devel-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm :
     sinfo-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm : sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-devel-0.0.44-2.fc16.x86_64.rpm
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-0.0.44-2.fc16.x86_64.rpm
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint sinfo-0.0.44-2.fc16.x86_64.rpm

sinfo.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-0.0.44/README
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint sinfo-0.0.44-2.fc16.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint sinfo-devel-0.0.44-2.fc16.x86_64.rpm

sinfo-devel.x86_64: W: unexpanded-macro Summary(C) %{sinfo}
sinfo-devel.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-devel-0.0.44/README
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/gomix/tmp/785462/sinfo-0.0.44.tar.gz :
  MD5SUM this package     : cb0889a444b57f573b48c2afa866d585
  MD5SUM upstream package : cb0889a444b57f573b48c2afa866d585

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[!]: MUST Rpmlint output is silent.

rpmlint sinfo-0.0.44-2.fc16.x86_64.rpm

sinfo.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-0.0.44/README
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint sinfo-0.0.44-2.fc16.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint sinfo-devel-0.0.44-2.fc16.x86_64.rpm

sinfo-devel.x86_64: W: unexpanded-macro Summary(C) %{sinfo}
sinfo-devel.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-devel-0.0.44/README
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[!]: MUST Package does not contain any libtool archives (.la)
     Note: sinfo-devel-0.0.44-2.fc16.x86_64.rpm : sinfo-
     devel-0.0.44-2.fc16.x86_64.rpm sinfo-devel-0.0.44-2.fc16.x86_64.rpm :
     sinfo-0.0.44-2.fc16.x86_64.rpm sinfo-devel-0.0.44-2.fc16.x86_64.rpm :
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm :
     sinfo-devel-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm :
     sinfo-0.0.44-2.fc16.x86_64.rpm sinfo-0.0.44-2.fc16.x86_64.rpm : sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-devel-0.0.44-2.fc16.x86_64.rpm
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-0.0.44-2.fc16.x86_64.rpm
     sinfo-debuginfo-0.0.44-2.fc16.x86_64.rpm : sinfo-
     debuginfo-0.0.44-2.fc16.x86_64.rpm


Please address previous issues to move forward :)
Comment 4 Sophie Kovalevsky 2012-09-19 20:59:09 EDT
I uploaded the modifications: 

It's available on: 

Spec URL: http://sophiekovalevsky.fedorapeople.org/sinfo.spec
SRPM URL: http://sophiekovalevsky.fedorapeople.org/sinfo-0.0.47-1.fc17.src.rpm
Comment 5 Luis Bazan 2012-09-20 10:49:24 EDT
the srpm is new 
the spec is old
Comment 6 Volker Fröhlich 2012-09-20 13:37:42 EDT
Remove the two "Requires". rpmbuild figures that out.

There's no need to define that pkgname macro. Just use the name macro instead.

%setup -q is enough, as name-version is the default name.

Don't mix tabs and spaces in the spec file.

Delete the .la files, if you can't avoid creating them.

Having a more precise file section wouldn't hurt. Use the name macro in the files section too.

%{_libdir}/sinfo/* -- This is wrong because it'd leave the directory without an owner. Make that %{_libdir}/sinfo.
Comment 7 Guillermo Gómez 2012-09-25 08:51:16 EDT
The two requires must stay, please do not confuse build time and installation time, if Requires are gone, package will install without the proper support for runtime.

No need for pkgname macro, use name macro.

Don't miss tabs and spaces in the spec file.

Delete .la files.

No-utf8 files can be fixed with iconv tool (README).
Comment 8 Volker Fröhlich 2012-09-26 09:03:43 EDT
Guillermo Gómez, please explain why you think they are necessary.

[makerpm@desktop SPECS]$ rpm -qp --requires /home/makerpm/rpmbuild/RPMS/x86_64/sinfo-0.0.47-1.fc16.x86_64.rpm
/bin/sh  
boost  
libboost_signals-mt.so.1.47.0()(64bit)  
libboost_system-mt.so.1.47.0()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.2)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libc.so.6(GLIBC_2.8)(64bit)  
libc.so.6(GLIBC_2.9)(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libmessage.so.0()(64bit)  
libmessageio.so.0()(64bit)  
libmessageiobase.so.0()(64bit)  
libmessageparser.so.0()(64bit)  
libncurses.so.5()(64bit)  
libnsl.so.1()(64bit)  
libprotocol.so.0()(64bit)  
libprotocolasio.so.0()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
libpthread.so.0(GLIBC_2.3.2)(64bit)  
libresolv.so.2()(64bit)  
librpc.so.0()(64bit)  
libsinfometer-0.0.47.so()(64bit)  
libsinfotypes-0.0.47.so()(64bit)  
libstdc++.so.6()(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(CXXABI_1.3.1)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)  
libtinfo.so.5()(64bit)  
ncurses  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1
Comment 9 Guillermo Gómez 2012-09-26 09:35:59 EDT
There are cases where the build process does not pickup the dependencies and for new packagers that could confuse them, add or not the Requires.

In this particular case, there's no problem, both Requires can go away and in general we should not include explicit Requires for cases like this (my only motivation was educational).

Reference: http://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires
Comment 10 Sophie Kovalevsky 2012-09-28 16:51:03 EDT
There are the new spec and rpm.

Spec URL: http://sophiekovalevsky.fedorapeople.org/sinfo.spec
SRPM URL: http://sophiekovalevsky.fedorapeople.org/sinfo-0.0.47-2.fc17.src.rpm
Comment 11 Volker Fröhlich 2012-10-13 14:33:58 EDT
Kiara, did you try to find a sponsor yet?

The following document lists a number of options:

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 12 Guillermo Gómez 2012-10-22 22:55:13 EDT
(In reply to comment #11)
> Kiara, did you try to find a sponsor yet?
> 
> The following document lists a number of options:
> 
> http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

ill take care of it as review is finished.
Comment 13 Guillermo Gómez 2012-10-26 08:43:07 EDT
Package still has libtool archives (.la).

Issues:
=======
[!]: Package does not contain any libtool archives (.la)
     Note: sinfo-0.0.47-2.fc18.x86_64.rpm : sinfo-0.0.47-2.fc18.x86_64.rpm
     sinfo-0.0.47-2.fc18.x86_64.rpm : sinfo-debuginfo-0.0.47-2.fc18.x86_64.rpm
     sinfo-debuginfo-0.0.47-2.fc18.x86_64.rpm : sinfo-0.0.47-2.fc18.x86_64.rpm
     sinfo-debuginfo-0.0.47-2.fc18.x86_64.rpm : sinfo-
     debuginfo-0.0.47-2.fc18.x86_64.rpm
Comment 14 Volker Fröhlich 2013-04-26 11:18:58 EDT
No response for half a year -- Sophie, are you still interested? You need to find a sponsor too.
Comment 15 Sophie Kovalevsky 2013-06-06 15:55:15 EDT
I uploaded the modifications: 

It's available on: 

Spec URL: http://sophiekovalevsky.fedorapeople.org/RPM/sinfo.spec
SRPM URL: http://sophiekovalevsky.fedorapeople.org/RPM/sinfo-0.0.47-3.fc17.src.rpm
Comment 16 Sophie Kovalevsky 2013-06-06 15:55:53 EDT
I'm still interested Volker. I found an sponsor. 

(In reply to Volker Fröhlich from comment #14)
> No response for half a year -- Sophie, are you still interested? You need to
> find a sponsor too.
Comment 17 Eduardo Echeverria 2013-06-06 16:34:06 EDT
Package Review
==============


- before importing fix the file-not-utf8 
- the so-files aren't in ldpath, rpmlint false positive

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 121 files have unknown license. Detailed output
     of licensecheck in /home/makerpm/sinfo6/785462-sinfo/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sinfo-0.0.47-3.fc20.x86_64.rpm
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/librpc.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageparser.so
sinfo.x86_64: E: incorrect-fsf-address /usr/share/doc/sinfo-0.0.47/COPYING
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libprotocol.so
sinfo.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-0.0.47/README
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageio.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageiobase.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libprotocolasio.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessage.so
1 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sinfo
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/librpc.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageparser.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libprotocol.so
sinfo.x86_64: W: file-not-utf8 /usr/share/doc/sinfo-0.0.47/README
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageio.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessageiobase.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libprotocolasio.so
sinfo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/sinfo/libmessage.so
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
sinfo (rpmlib, GLIBC filtered):
    /bin/sh
    ld-linux-x86-64.so.2()(64bit)
    libboost_signals-mt.so.1.53.0()(64bit)
    libboost_system-mt.so.1.53.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libncurses.so.5()(64bit)
    libnsl.so.1()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libtinfo.so.5()(64bit)
    rtld(GNU_HASH)



Provides
--------
sinfo:
    sinfo
    sinfo(x86-64)



Unversioned so-files
--------------------
sinfo: /usr/lib64/sinfo/libmessage.so
sinfo: /usr/lib64/sinfo/libmessageio.so
sinfo: /usr/lib64/sinfo/libmessageiobase.so
sinfo: /usr/lib64/sinfo/libmessageparser.so
sinfo: /usr/lib64/sinfo/libprotocol.so
sinfo: /usr/lib64/sinfo/libprotocolasio.so
sinfo: /usr/lib64/sinfo/librpc.so
sinfo: /usr/lib64/sinfo/libsinfometer-0.0.47.so
sinfo: /usr/lib64/sinfo/libsinfometer.so
sinfo: /usr/lib64/sinfo/libsinfotypes-0.0.47.so
sinfo: /usr/lib64/sinfo/libsinfotypes.so

Source checksums
----------------
http://www.ant.uni-bremen.de/whomes/rinas/sinfo/download/sinfo-0.0.47.tar.gz :
  CHECKSUM(SHA256) this package     : 4ec531081d765f1b74f86d8a68cdefdd9d2ce50724ce0f1f4b4726f4161d8703
  CHECKSUM(SHA256) upstream package : 4ec531081d765f1b74f86d8a68cdefdd9d2ce50724ce0f1f4b4726f4161d8703


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785462 -m fedora-rawhide-x86_64


----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is echevemaster
Comment 18 Kiara Navarro 2013-06-11 00:27:03 EDT
New Package SCM Request
=======================
Package Name: sinfo
Short Description: Show an overview of the available computers an their current load
Owners: sophiekovalevsky echevemaster
Branches: f17 f18 f19
InitialCC:
Comment 19 Gwyn Ciesla 2013-06-11 07:56:59 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2013-06-16 01:21:00 EDT
sinfo-0.0.47-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sinfo-0.0.47-3.fc19
Comment 21 Fedora Update System 2013-06-16 01:25:32 EDT
sinfo-0.0.47-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sinfo-0.0.47-3.fc18
Comment 22 Fedora Update System 2013-06-16 01:27:11 EDT
sinfo-0.0.47-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sinfo-0.0.47-3.fc17
Comment 23 Fedora Update System 2013-06-16 15:21:00 EDT
sinfo-0.0.47-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 24 Fedora Update System 2013-07-06 21:27:24 EDT
sinfo-0.0.47-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 25 Fedora Update System 2013-07-06 21:30:23 EDT
sinfo-0.0.47-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 26 Fedora Update System 2013-07-06 21:31:44 EDT
sinfo-0.0.47-3.fc19 has been pushed to the Fedora 19 stable repository.